Get metadata about chunked upload
Returns the details (but not the content) about a chunked upload.
Note: You cannot obtain details about a chunked upload that has expired, been deleted, or consumed by other actions.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Query parameters
(Optional) This parameter enables you to include additional attribute data in the response. The valid value for this method is checksum, which returns an SHA256 checksum of the content of the chunked upload in the response. You can use compare this checksum against your own checksum of the original content to verify that there are no missing parts before you attempt to commit the chunked upload.
Response
A 64-byte, Secure Hash Algorithm 256 (SHA256) checksum that the caller computes across the entirety of the original content that has been uploaded to the chunked upload. Docusign compares this value to its own computation. If the two values are not equal, the original content and received content are not the same and the commit action is refused.
When true, the chunked upload has been committed. A committed chunked upload can no longer receive any additional parts and is ready for use within other API requests.
The UTC time at which the chunked upload expires and is no longer addressable.
Note: You must fully upload and use a chunked upload within 20 minutes of initializing it.
The total size of the parts of the chunked upload.
Note: When a chunked upload is used as an envelope document, it is subject to the PDF size limit (25 MB) and page count limit that apply to all envelope documents.